org.apache.xmlbeans.impl.xb.xsdschema

## Interface Facet

All Superinterfaces:
  Annotated, OpenAttrs, XmlObject, XmlTokenSource

All Known Subinterfaces:
  NoFixedFacet, NumFacet, PatternDocument.Pattern, TotalDigitsDocument.TotalDigits, WhiteSpaceDocument.WhiteSpace

All Known Implementing Classes:
  FacetImpl, NoFixedFacetImpl, NumFacetImpl, PatternDocumentImpl.PatternImpl, TotalDigitsDocumentImpl.TotalDigitsImpl, WhiteSpaceDocumentImpl.WhiteSpaceImpl

    public interface Facet
    extends Annotated

An XML facet(@http://www.w3.org/2001/XMLSchema). This is a complex type.

### Field Summary

Fields
`static DocumentFactory<Facet>` `Factory`
`static SchemaType` `type`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

All Methods Instance Methods Abstract Methods
`XmlAnySimpleType` `addNewValue()` Appends and returns a new empty "value" attribute
`boolean` `getFixed()` Gets the "fixed" attribute
`XmlAnySimpleType` `getValue()` Gets the "value" attribute
`boolean` `isSetFixed()` True if has "fixed" attribute
`void` `setFixed(boolean fixed)` Sets the "fixed" attribute
`void` `setValue(XmlAnySimpleType value)` Sets the "value" attribute
`void` `unsetFixed()` Unsets the "fixed" attribute
`XmlBoolean` `xgetFixed()` Gets (as xml) the "fixed" attribute
`void` `xsetFixed(XmlBoolean fixed)` Sets (as xml) the "fixed" attribute

### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

`addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final DocumentFactory<Facet> Factory

#### type

    static final SchemaType type

### Method Detail

#### getValue

    XmlAnySimpleType getValue()

Gets the "value" attribute

#### setValue

    void setValue(XmlAnySimpleType value)

Sets the "value" attribute

#### addNewValue

    XmlAnySimpleType addNewValue()

Appends and returns a new empty "value" attribute

#### getFixed

    boolean getFixed()

Gets the "fixed" attribute

#### xgetFixed

    XmlBoolean xgetFixed()

Gets (as xml) the "fixed" attribute

#### isSetFixed

    boolean isSetFixed()

True if has "fixed" attribute

#### setFixed

    void setFixed(boolean fixed)

Sets the "fixed" attribute

#### xsetFixed

    void xsetFixed(XmlBoolean fixed)

Sets (as xml) the "fixed" attribute

#### unsetFixed

    void unsetFixed()

Unsets the "fixed" attribute